function plugindef()

   -- This function and the 'finaleplugin' namespace

   -- are both reserved for the plug-in definition.

   finaleplugin.MinJWLuaVersion = "0.12"

   finaleplugin.Author = "Jari Williamsson"

   finaleplugin.Version = "0.01"

   finaleplugin.CategoryTags = "Layout"

   finaleplugin.ParameterTypes = [[

Number

Number

]]

   finaleplugin.ParameterDescriptions = [[

Top Position for Score

Top Position for Parts

]]

   return "System Top Margin", "System Top Margin", "Sets the top system margin for score and parts."

end



-- This script requires 2 parameters



local params = {...}

if not params then return end



local systemtopscore = params[1]

if not systemtopscore then return end



local systemtopparts = params[2]

if not systemtopparts then return end



-- Load all parts



local parts = finale.FCParts()

parts:LoadAll()



for part in each(parts) do

    part:SwitchTo()

    -- Load first system

    local system = finale.FCStaffSystem()

    system:Load(1)

    -- Change Top Margin

    if part:IsScore() then

        system.TopMargin = systemtopscore

    else

        system.TopMargin = systemtopparts

    end

    system:Save()

    part:SwitchBack()

end



